Bug 327961 - digiKam crash at video playing
Summary: digiKam crash at video playing
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Video (show other bugs)
Version: 3.5.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-11-22 23:37 UTC by bugkde
Modified: 2017-07-27 10:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugkde 2013-11-22 23:37:47 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.11.2
Qt Version: 4.8.5
Operating System: Linux 3.11.6-4-desktop i686
Distribution: "openSUSE 13.1 (Bottle) (i586)"

-- Information about the crash:
Digikam quit qhen i watch a video. It append when i change video or when i close the left pannel after watching a video.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xaed43ac0 (LWP 20006))]

Thread 13 (Thread 0xac4bcb40 (LWP 20007)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4332f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb49e48cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb579d1d5 in wait (time=4294967295, this=0xa121f88) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa121efc, mutex=0xa121ef8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x082172b4 in ?? ()
#6  0xb579cc5f in QThreadPrivate::start (arg=0xa14c280) at thread/qthread_unix.cpp:338
#7  0xb432f07a in start_thread () from /lib/libpthread.so.0
#8  0xb49d780e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xabaffb40 (LWP 20008)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb49e5372 in clock_gettime () from /lib/libc.so.6
#2  0xb57f807c in do_gettime (frac=0xabafef30, sec=0xabafef28) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb58dde82 in updateCurrentTime (this=0xab102074) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=this@entry=0xab102074, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb58dc43b in timerSourcePrepareHelper (src=src@entry=0xab102040, timeout=0xabaff02c) at kernel/qeventdispatcher_glib.cpp:136
#7  0xb58dc4ca in timerSourcePrepare (source=0xab102040, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0xb2bfb0d3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#9  0xb2bfb9ef in ?? () from /usr/lib/libglib-2.0.so.0
#10 0xb2bfbc38 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#11 0xb58dc60f in QEventDispatcherGlib::processEvents (this=0xab100468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#12 0xb58aba03 in QEventLoop::processEvents (this=this@entry=0xabaff198, flags=...) at kernel/qeventloop.cpp:149
#13 0xb58abd29 in QEventLoop::exec (this=this@entry=0xabaff198, flags=...) at kernel/qeventloop.cpp:204
#14 0xb579a30d in QThread::exec (this=this@entry=0xa1242e8) at thread/qthread.cpp:536
#15 0xb588be14 in QInotifyFileSystemWatcherEngine::run (this=0xa1242e8) at io/qfilesystemwatcher_inotify.cpp:256
#16 0xb579cc5f in QThreadPrivate::start (arg=0xa1242e8) at thread/qthread_unix.cpp:338
#17 0xb432f07a in start_thread () from /lib/libpthread.so.0
#18 0xb49d780e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xab0ffb40 (LWP 20011)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4332f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb49e48cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb579d1d5 in wait (time=4294967295, this=0xa176e70) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa2691c0, mutex=0xa2691bc, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb69374c4 in ?? () from /usr/lib/libdigikamcore.so.3
#6  0xb579cc5f in QThreadPrivate::start (arg=0xa2691b0) at thread/qthread_unix.cpp:338
#7  0xb432f07a in start_thread () from /lib/libpthread.so.0
#8  0xb49d780e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa9739b40 (LWP 20012)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb49e5372 in clock_gettime () from /lib/libc.so.6
#2  0xb57f807c in do_gettime (frac=0xa9738f30, sec=0xa9738f28) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb58dde82 in updateCurrentTime (this=0xa2c13c4) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=this@entry=0xa2c13c4, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb58dc43b in timerSourcePrepareHelper (src=src@entry=0xa2c1390, timeout=0xa973902c) at kernel/qeventdispatcher_glib.cpp:136
#7  0xb58dc4ca in timerSourcePrepare (source=0xa2c1390, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0xb2bfb0d3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#9  0xb2bfb9ef in ?? () from /usr/lib/libglib-2.0.so.0
#10 0xb2bfbc38 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#11 0xb58dc60f in QEventDispatcherGlib::processEvents (this=0xa2f42b0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#12 0xb58aba03 in QEventLoop::processEvents (this=this@entry=0xa9739198, flags=...) at kernel/qeventloop.cpp:149
#13 0xb58abd29 in QEventLoop::exec (this=this@entry=0xa9739198, flags=...) at kernel/qeventloop.cpp:204
#14 0xb579a30d in QThread::exec (this=this@entry=0xa2e4560) at thread/qthread.cpp:536
#15 0xb588be14 in QInotifyFileSystemWatcherEngine::run (this=0xa2e4560) at io/qfilesystemwatcher_inotify.cpp:256
#16 0xb579cc5f in QThreadPrivate::start (arg=0xa2e4560) at thread/qthread_unix.cpp:338
#17 0xb432f07a in start_thread () from /lib/libpthread.so.0
#18 0xb49d780e in clone () from /lib/libc.so.6

Thread 9 (Thread 0x8adfcb40 (LWP 20068)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4332f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb49e48cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb2c3f030 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#4  0xaf9d15e7 in gst_data_queue_pop () from /usr/lib/libgstbase-0.10.so.0
#5  0x9f9c02b9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0xafe7c7a8 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#7  0xafe7d7bf in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0xb2c22805 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#10 0xb432f07a in start_thread () from /lib/libpthread.so.0
#11 0xb49d780e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x8a5fbb40 (LWP 20069)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4335ba9 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0xb4331475 in _L_lock_1188 () from /lib/libpthread.so.0
#3  0xb4331405 in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0xb49e4ad4 in pthread_mutex_lock () from /lib/libc.so.6
#5  0xb2c3ec60 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#6  0x9f9874ee in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#7  0xafe36303 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#8  0xafe36a02 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0xafe3604f in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#10 0xafe22378 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0xafe36303 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#12 0xafe36a02 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0xafe3604f in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#14 0xafe22378 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#15 0xafe36303 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#16 0xafe36a02 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0xafe3604f in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#18 0xafe22378 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0xafe36303 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#20 0xafe36a02 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#21 0xafe3604f in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#22 0xafe22378 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#23 0x9f0c559c in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#24 0xafe36303 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#25 0xafe36a02 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#26 0xafe3604f in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#27 0xafe22378 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#28 0xafe5805b in ?? () from /usr/lib/libgstreamer-0.10.so.0
#29 0x9f0c159b in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#30 0xafe36303 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#31 0xafe36a02 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#32 0xafe3604f in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#33 0xaa83bad7 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#34 0xaa83bb5c in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#35 0xaa83053a in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#36 0xaa830adc in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#37 0xb76758ca in Phonon::MediaNodePrivate::deleteBackendObject() () from /usr/lib/libphonon.so.4
#38 0xb7667223 in ?? () from /usr/lib/libphonon.so.4
#39 0xb766751c in ?? () from /usr/lib/libphonon.so.4
#40 0xb76657b2 in ?? () from /usr/lib/libphonon.so.4
#41 0xb7662149 in ?? () from /usr/lib/libphonon.so.4
#42 0xb491a5a1 in __run_exit_handlers () from /lib/libc.so.6
#43 0xb491a5fd in exit () from /lib/libc.so.6
#44 0xb4dab478 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:772
#45 0xb5ec16b9 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#46 0xb5ec1774 in ?? () from /usr/lib/libkdeui.so.5
#47 0xb44c76b4 in _XIOError (dpy=dpy@entry=0xc6cf230) at XlibInt.c:1498
#48 0xb44c55e5 in _XReply (dpy=0xc6cf230, rep=0x8a5f99c0, extra=0, discard=0) at xcb_io.c:708
#49 0xabc02ae0 in XvCreateImage () from /usr/lib/libXv.so.1
#50 0xabc02c23 in XvShmCreateImage () from /usr/lib/libXv.so.1
#51 0x9f980a05 in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#52 0x9f98191b in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#53 0xaf9a122d in ?? () from /usr/lib/libgstbase-0.10.so.0
#54 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#55 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#56 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#57 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#58 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#59 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#60 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#61 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#62 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#63 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#64 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#65 0x9f9c267f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#66 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#67 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#68 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#69 0x9f9d4d40 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#70 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#71 0x9f9c267f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#72 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#73 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#74 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#75 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#76 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#77 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#78 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#79 0xaf9bbdda in ?? () from /usr/lib/libgstbase-0.10.so.0
#80 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#81 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#82 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#83 0x9f9c267f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#84 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#85 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#86 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#87 0x9f0e591c in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#88 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#89 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#90 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#91 0x9f9b8d88 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#92 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#93 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#94 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#95 0xafe3da7e in gst_proxy_pad_bufferalloc_default () from /usr/lib/libgstreamer-0.10.so.0
#96 0xafe4e8ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#97 0x928b3fce in ?? () from /usr/lib/gstreamer-0.10/libgstffmpeg.so
#98 0x928b9223 in ?? () from /usr/lib/gstreamer-0.10/libgstffmpeg.so
#99 0x928bc4c1 in ?? () from /usr/lib/gstreamer-0.10/libgstffmpeg.so
#100 0xafe540d7 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#101 0xaf9c0f4e in ?? () from /usr/lib/libgstbase-0.10.so.0
#102 0xafe540d7 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#103 0xaf99a988 in gst_base_parse_push_frame () from /usr/lib/libgstbase-0.10.so.0
#104 0xaf99c93c in ?? () from /usr/lib/libgstbase-0.10.so.0
#105 0x92b37c99 in ?? () from /usr/lib/gstreamer-0.10/libgstvideoparsersbad.so
#106 0xafe540d7 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#107 0x9f9c0ef5 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#108 0xafe7c7a8 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#109 0xafe7d7bf in ?? () from /usr/lib/libgstreamer-0.10.so.0
#110 0xb2c22805 in ?? () from /usr/lib/libglib-2.0.so.0
#111 0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#112 0xb432f07a in start_thread () from /lib/libpthread.so.0
#113 0xb49d780e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x89dfab40 (LWP 20070)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4332f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb49e48cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb2c3f030 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#4  0xaf9d1082 in gst_data_queue_push () from /usr/lib/libgstbase-0.10.so.0
#5  0x9f9bfded in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0xafe540d7 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x92b5a45a in ?? () from /usr/lib/gstreamer-0.10/libgstisomp4.so
#8  0x92b6f537 in ?? () from /usr/lib/gstreamer-0.10/libgstisomp4.so
#9  0xafe7c7a8 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#10 0xafe7d7bf in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0xb2c22805 in ?? () from /usr/lib/libglib-2.0.so.0
#12 0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#13 0xb432f07a in start_thread () from /lib/libpthread.so.0
#14 0xb49d780e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x8fdffb40 (LWP 20071)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb49cbe3b in poll () from /lib/libc.so.6
#2  0xb47b8bfd in ?? () from /usr/lib/libpulse.so.0
#3  0xb47a74fe in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0xb47a7d2d in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0xb47a7e04 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0xb47b8b9c in ?? () from /usr/lib/libpulse.so.0
#7  0xb2879fed in ?? () from /usr/lib/pulseaudio/libpulsecommon-4.0.so
#8  0xb432f07a in start_thread () from /lib/libpthread.so.0
#9  0xb49d780e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x8b5fdb40 (LWP 20072)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4335ba9 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0xb4331475 in _L_lock_1188 () from /lib/libpthread.so.0
#3  0xb4331405 in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0xb49e4ad4 in pthread_mutex_lock () from /lib/libc.so.6
#5  0xb2c3ec60 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#6  0x9f98684c in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#7  0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb432f07a in start_thread () from /lib/libpthread.so.0
#9  0xb49d780e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x881ffb40 (LWP 20073)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4332f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb49e48cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb2c3f030 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#4  0x9f9c6702 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0xafe7c7a8 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xafe7d7bf in ?? () from /usr/lib/libgstreamer-0.10.so.0
#7  0xb2c22805 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb432f07a in start_thread () from /lib/libpthread.so.0
#10 0xb49d780e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x879feb40 (LWP 20074)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4335ba9 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0xb4331475 in _L_lock_1188 () from /lib/libpthread.so.0
#3  0xb4331405 in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0xb49e4ad4 in pthread_mutex_lock () from /lib/libc.so.6
#5  0xb2c3ec60 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#6  0x9f9825f7 in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#7  0x9f982d98 in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#8  0xafdd4cbf in ?? () from /usr/lib/libgstvideo-0.10.so.0
#9  0xaf99119c in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0xaf9af955 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0xaf9afe2d in ?? () from /usr/lib/libgstbase-0.10.so.0
#12 0xaf9b0256 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0xafe50013 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0xafe53fb0 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#15 0xaf9c0f4e in ?? () from /usr/lib/libgstbase-0.10.so.0
#16 0xafe50013 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0xafe53fb0 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#18 0xaf9c0f4e in ?? () from /usr/lib/libgstbase-0.10.so.0
#19 0xafe50013 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#20 0xafe53fb0 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#21 0xaf9c0f4e in ?? () from /usr/lib/libgstbase-0.10.so.0
#22 0xafe50013 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#23 0xafe53fb0 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#24 0xaf9c0f4e in ?? () from /usr/lib/libgstbase-0.10.so.0
#25 0xafe50013 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#26 0xafe53fb0 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#27 0xaf9c0f4e in ?? () from /usr/lib/libgstbase-0.10.so.0
#28 0xafe50013 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#29 0xafe53fb0 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#30 0x9f9c709f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#31 0xafe7c7a8 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#32 0xafe7d7bf in ?? () from /usr/lib/libgstreamer-0.10.so.0
#33 0xb2c22805 in ?? () from /usr/lib/libglib-2.0.so.0
#34 0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#35 0xb432f07a in start_thread () from /lib/libpthread.so.0
#36 0xb49d780e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x859fab40 (LWP 20078)):
#0  0xb7765424 in __kernel_vsyscall ()
#1  0xb4332f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb49e48cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb2c3f030 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#4  0x9f9c6702 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0xafe7c7a8 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xafe7d7bf in ?? () from /usr/lib/libgstreamer-0.10.so.0
#7  0xb2c22805 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2c21d5a in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb432f07a in start_thread () from /lib/libpthread.so.0
#10 0xb49d780e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xaed43ac0 (LWP 20006)):
[KCrash Handler]
#6  0xb7765424 in __kernel_vsyscall ()
#7  0xb49176a6 in raise () from /lib/libc.so.6
#8  0xb4918e33 in abort () from /lib/libc.so.6
#9  0xb4910767 in __assert_fail_base () from /lib/libc.so.6
#10 0xb4910817 in __assert_fail () from /lib/libc.so.6
#11 0xb44c4a1a in poll_for_event (dpy=dpy@entry=0x9fe9b00) at xcb_io.c:271
#12 0xb44c4aa4 in poll_for_response (dpy=dpy@entry=0x9fe9b00) at xcb_io.c:289
#13 0xb44c4e0f in _XEventsQueued (dpy=dpy@entry=0x9fe9b00, mode=mode@entry=2) at xcb_io.c:363
#14 0xb44b5e40 in XEventsQueued (dpy=0x9fe9b00, mode=2) at Pending.c:43
#15 0xb4de6f38 in x11EventSourcePrepare (s=0x9fe8e40, timeout=0xbf822f2c) at kernel/qguieventdispatcher_glib.cpp:77
#16 0xb2bfb0d3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#17 0xb2bfb9ef in ?? () from /usr/lib/libglib-2.0.so.0
#18 0xb2bfbc38 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#19 0xb58dc5ef in QEventDispatcherGlib::processEvents (this=this@entry=0x9f83728, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#20 0xb4de751e in QGuiEventDispatcherGlib::processEvents (this=0x9f83728, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0xb58aba03 in QEventLoop::processEvents (this=this@entry=0xbf8230d8, flags=...) at kernel/qeventloop.cpp:149
#22 0xb58abd29 in QEventLoop::exec (this=this@entry=0xbf8230d8, flags=...) at kernel/qeventloop.cpp:204
#23 0xb58b14fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#24 0xb4d35944 in QApplication::exec () at kernel/qapplication.cpp:3823
#25 0x080c53b0 in ?? ()
#26 0xb49029d3 in __libc_start_main () from /lib/libc.so.6
#27 0x080c7f39 in _start ()

Reported using DrKonqi
Comment 1 caulier.gilles 2013-11-22 23:59:54 UTC
The backtrace do not shaow any digiKam code relevant of the problem. It most a X11 server issue.

Please run digiKam into GDB and try to get a better backtrace, as explain int this page :

http://www.digikam.org/contrib

Gilles Caulier
Comment 2 caulier.gilles 2015-06-25 13:12:54 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 3 caulier.gilles 2015-08-20 06:51:59 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 4 caulier.gilles 2016-07-07 11:03:08 UTC
This problem is not reproducible with last 5.0.0
I close this file now. Re-open it if necessary.
Gilles Caulier